libsigc++ 3.8.1

Public Member Functions | Public Attributes | List of all members
sigc::compose1_functor< T_setter, T_getter > Struct Template Reference
Adaptors » compose()

Adaptor that combines two functors. More...

`#include <sigc++/adaptors/compose.h>`

Inheritance diagram for sigc::compose1_functor< T_setter, T_getter >:
[legend]

## Public Member Functions
| compose1_functor (const T_setter &setter, const T_getter &getter)
| Constructs a compose1_functor object that combines the passed functors.
template<typename... T_arg>
decltype(auto) | operator() (T_arg &&... a)
Public Member Functions inherited from sigc::adapts< T_setter >
| adapts (const T_setter &functor)
| Constructs an adaptor that wraps the passed functor.

## Public Attributes
T_getter | get_
Public Attributes inherited from sigc::adapts< T_setter >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Detailed Description

template <typename T_setter, typename T_getter>
struct sigc::compose1_functor< T_setter, T_getter >

Adaptor that combines two functors.

Use the convenience function sigc::compose() to create an instance of sigc::compose1_functor.

The following template arguments are used:

- T_setter Type of the setter functor to wrap.
- T_getter Type of the getter functor to wrap.

## Constructor & Destructor Documentation

## ◆ compose1_functor()

template <typename T_setter , typename T_getter >

sigc::compose1_functor< T_setter, T_getter >::compose1_functor | ( | const T_setter & | setter,
|  | const T_getter & | getter
| ) |  |
| inline

Constructs a compose1_functor object that combines the passed functors.

Parameters

  setter | Functor that receives the return values of the invocation of getter1 and getter2.
  getter | Functor to invoke from operator()().

## Member Function Documentation

## ◆ operator()()

template <typename T_setter , typename T_getter >
template <typename... T_arg>

decltype(auto) sigc::compose1_functor< T_setter, T_getter >::operator() | ( | T_arg &&... | a | ) |
| inline

## Member Data Documentation

## ◆ get_

template <typename T_setter , typename T_getter >

T_getter sigc::compose1_functor< T_setter, T_getter >::get_